Package org.drinkless.tdlib

# Class TdApi.InlineQueryResultContact

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InlineQueryResult
org.drinkless.tdlib.TdApi.InlineQueryResultContact

Enclosing class:
  TdApi

public static class TdApi.InlineQueryResultContact extends TdApi.InlineQueryResult
Represents a user contact.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InlineQueryResult

  `TdApi.InlineQueryResult.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Contact`
  `contact`
  A user contact.
  `String`
  `id`
  Unique identifier of the query result.
  `TdApi.Thumbnail`
  `thumbnail`
  Result thumbnail in JPEG format; may be null.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InlineQueryResultContact()`
  Represents a user contact.
  `InlineQueryResultContact(String id, TdApi.Contact contact, TdApi.Thumbnail thumbnail)`
  Represents a user contact.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public String id
    Unique identifier of the query result.

  - ### contact

    public TdApi.Contact contact
    A user contact.

  - ### thumbnail

    @Nullable public TdApi.Thumbnail thumbnail
    Result thumbnail in JPEG format; may be null.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InlineQueryResultContact

    public InlineQueryResultContact()
    Represents a user contact.

  - ### InlineQueryResultContact

    public InlineQueryResultContact(String id, TdApi.Contact contact, TdApi.Thumbnail thumbnail)
    Represents a user contact.
    Parameters:
      `id` - Unique identifier of the query result.
      `contact` - A user contact.
      `thumbnail` - Result thumbnail in JPEG format; may be null.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InlineQueryResult`
    Returns:
      this.CONSTRUCTOR